Last modified: 2012-02-22 12:36:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16785 - Switch in bicubic image scaling for client-side thumbnailing in Internet Explorer 7
Switch in bicubic image scaling for client-side thumbnailing in Internet Expl...
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
File management (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://code.flickr.com/blog/2008/11/1...
: testme
Depends on:
Blocks: 640
  Show dependency treegraph
 
Reported: 2008-12-24 23:07 UTC by Brion Vibber
Modified: 2012-02-22 12:36 UTC (History)
2 users (show)

See Also:
Web browser: Internet Explorer
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screen shot IE7 with full-page zoom showing ugly pixels (163.89 KB, image/png)
2008-12-24 23:07 UTC, Brion Vibber
Details

Description Brion Vibber 2008-12-24 23:07:03 UTC
Created attachment 5620 [details]
Screen shot IE7 with full-page zoom showing ugly pixels

In some circumstances, raster images can get scaled up or down on the client side:

* Small source image scaled up to a large size [[Image:Tiny.png|300px]]
* GIF image over $wgMaxAnimatedGifArea
* Any image scaled on server with no GD or ImageMagick scaling engine available
* Any image when browser's full-page zoom is used

Many modern browsers use a pretty scaling method, but by default Internet Explorer uses nearest-neighbor which looks awful.

Apparently, IE 7 can switch in bicubic scaling via a simple bit of custom CSS:

http://code.flickr.com/blog/2008/11/12/on-ui-quality-the-little-things-client-side-image-resizing/

If there aren't unpleasant side effects it may be wise to use this.

IE 6 can perhaps do this with the scary filter we're using for Alpha PNGs or a variant, but it's probably not worth expending effort on IE 6 at this point.
Comment 1 Siebrand Mazeland 2009-06-04 11:08:03 UTC
Update Web browser.
Comment 2 Siebrand Mazeland 2009-06-04 11:35:36 UTC
Adding testme. Please test with Internet Explorer 8 and note the result here.
Comment 3 Brion Vibber 2009-09-23 21:20:32 UTC
IE8 seems to be using bicubic scaling by default, which looks much better. (Tested 8.0.6001.18702 on XP SP2 32-bit under VMware.)
Comment 4 Brion Vibber 2011-10-05 19:24:25 UTC
I don't think we're gonna bother doing this, nobody likes IE7 and later versions have fixed it upstream. ;)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links